using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.StoragesContracts
{
	public interface IWorkerStorage
	{
		List<WorkerViewModel> GetFullList();
		List<WorkerViewModel> GetFilteredList(WorkerSearchModel model);
		WorkerViewModel? GetElement(WorkerSearchModel model);
		WorkerViewModel? Insert(WorkerBindingModel model);
		WorkerViewModel? Update(WorkerBindingModel model);
		WorkerViewModel? Delete(WorkerBindingModel model);
	}
}
